//CFTTFileIterator - [2020-04-13 11:57:46]
#ifndef _CFTTFILEITERATOR_H_
#define _CFTTFILEITERATOR_H_

#include "CFTTFile.h"

/*

CFTTFileIterator 是一个纯虚接口类
00221C78 CFTTFileIterator_PAK::CFTTFileIterator_PAK(CFTTFileSystem_PAK *,TFTTPakDirectory *)
00221C94 CFTTFileIterator_PAK::~CFTTFileIterator_PAK()
00221C96 CFTTFileIterator_PAK::~CFTTFileIterator_PAK()
00221C9A CFTTFileIterator_PAK::IsValid()
00221CAE CFTTFileIterator_PAK::IsDirectory()
00221CBE CFTTFileIterator_PAK::GetAttributes(TFTTFileAttributes *)
00221CF2 CFTTFileIterator_PAK::GetName()
00221D18 CFTTFileIterator_PAK::Next()

vptr_CFTTFileIterator_PAK_32880C:
  CFTTFileIterator_PAK::~CFTTFileIterator_PAK()
  CFTTFileIterator_PAK::~CFTTFileIterator_PAK()
  CFTTFileIterator_PAK::IsValid()
  CFTTFileIterator_PAK::IsDirectory()
  CFTTFileIterator_PAK::GetAttributes(TFTTFileAttributes *)
  CFTTFileIterator_PAK::GetName()
  CFTTFileIterator_PAK::Next()

*/

class CFTTFileIterator {
public:
  CFTTFileIterator();
  virtual ~CFTTFileIterator();

  virtual bool IsValid() = 0;
  virtual bool IsDirectory() = 0;
  virtual EFTTError GetAttributes(TFTTFileAttributes* pAttr) = 0;
  virtual char* GetName() = 0;
  virtual EFTTError Next() = 0;
};

#endif  //_CFTTFILEITERATOR_H_